Bug 990172 - (CVE-2013-4932) CVE-2013-4932 wireshark: Multiple array index errors in the GSM A Common dissector (wnpa-sec-2013-50)
CVE-2013-4932 wireshark: Multiple array index errors in the GSM A Common diss...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130726,reported=2...
: Security
Depends On: 979246 990189 990202 994914 994924 1074904 1074905
Blocks: 974906 990216
  Show dependency treegraph
 
Reported: 2013-07-30 10:00 EDT by Jan Lieskovsky
Modified: 2015-10-15 13:56 EDT (History)
5 users (show)

See Also:
Fixed In Version: Wireshark 1.8.9, Wireshark 1.10.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-25 12:45:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-07-30 10:00:45 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-4932 to the following vulnerability:

Multiple array index errors in epan/dissectors/packet-gsm_a_common.c in the GSM A Common dissector in Wireshark 1.8.x before 1.8.9 and 1.10.x before 1.10.1 allow remote attackers to cause a denial of service (application crash) via a crafted packet.

References:
[1] http://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-gsm_a_common.c?r1=50672&r2=50671&pathrev=50672
[2] http://anonsvn.wireshark.org/viewvc?view=revision&revision=50672
[3] http://www.wireshark.org/docs/relnotes/wireshark-1.10.1.html
[4] http://www.wireshark.org/docs/relnotes/wireshark-1.8.9.html
[5] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8940
[6] https://www.wireshark.org/security/wnpa-sec-2013-50.html
Comment 1 Jan Lieskovsky 2013-07-30 10:41:01 EDT
Created wireshark tracking bugs for this issue:

Affects: fedora-18 [bug 990189]
Comment 2 Huzaifa S. Sidhpurwala 2013-08-08 04:59:14 EDT
Statement:

(none)
Comment 5 Fedora Update System 2013-09-27 20:14:53 EDT
wireshark-1.10.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-10-02 21:05:51 EDT
wireshark-1.10.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 errata-xmlrpc 2013-11-21 02:32:48 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1569 https://rhn.redhat.com/errata/RHSA-2013-1569.html
Comment 8 Fedora Update System 2013-12-19 02:12:55 EST
wireshark-1.10.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 errata-xmlrpc 2014-03-31 14:01:32 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0341 https://rhn.redhat.com/errata/RHSA-2014-0341.html

Note You need to log in before you can comment on or make changes to this bug.